# report

abstract fun report(problemId: ProblemId, spec: Action<in ProblemSpec>)

Configures and reports a new problem.

The spec must specify the problem label and the category. Any additional configuration is optional.

#### Since

8.13

#### Parameters

problemId

the problem id

spec

the problem configuration

abstract fun report(problem: Problem)

Reports the target problem.

#### Since

8.13

#### Parameters

problem

The problem to report.

abstract fun report(problems: Collection<out Problem>)

Reports the target problems.

#### Since

8.13

#### Parameters

problems

The problems to report.